/*
 *
 *  Copyright (c) 2010 Christoph Keller <gri@nospam@not-censored.com>
 *
 *  This file is part of Web2SMS.
 *
 *  Web2SMS is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Web2SMS is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Web2SMS. If not, see <http://www.gnu.org/licenses/>
 *
 */

// Local includes
#include "contactinfo.hpp"

//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////

ContactInfo::ContactInfo()
: d(new ContactInfoPrivate)
{
}

//////////////////////////////////////////////////////////////////////////

ContactInfo::ContactInfo(const ContactInfo& other)
: d(other.d)
{
}

//////////////////////////////////////////////////////////////////////////

ContactInfo::~ContactInfo()
{
}

//////////////////////////////////////////////////////////////////////////

void ContactInfo::setName(const QString& name)
{
  d->name = name;
}

//////////////////////////////////////////////////////////////////////////

QString ContactInfo::name() const
{
  return d->name;
}

//////////////////////////////////////////////////////////////////////////

void ContactInfo::setNumber(const QString& number)
{
  d->number = number;
}

//////////////////////////////////////////////////////////////////////////

QString ContactInfo::number() const
{
  return d->number;
}

//////////////////////////////////////////////////////////////////////////

void ContactInfo::setUniqueId(const QString& uniqueId)
{
  d->uniqueId = uniqueId;
}

//////////////////////////////////////////////////////////////////////////

QString ContactInfo::uniqueId() const
{
  return d->uniqueId;
}

//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
